I was sent a .pages doc.  When I try to open it with pages I'm told "You need a newer version of Pages to open this document." I have the newest version of pages on my computer. What should I do?

I was sent a .pages doc.  When I try to open it with pages I'm told "You need a newer version of Pages to open this document." I have the newest version of pages on my computer. What should I do?

I wonder if you are running an OS earlier than 10.9.x?  If so, you cannot run the *latest* version of Pages, which is 5.1.  Apple is trying to get you to update your OS to 10.9 Mavericks and then get you to update (but defintiely not upgrade) your Pages version to 5.1.  5.1 is, in everything but name, beta software. It not only has many bugs, it also lacks more than 90 features that are present in version 4.3 ("Pages 09"). One workaround that is to open the file with Pages for icloud (this is explcitly beta) and click tools|download a copy in Word format.  Pages 4.3, which is probably the version you have, can open Word documents.  Get a cup of coffee or a glass of wine before starting Pages for icloud: it is s-l-o-w.

Similar Messages

  • This month I downloaded the newest version of PAGES.  Now when I try to open the documents made with this program it says "You need a newer version of PAGES to open this document."  I go to the App Store and says it has downloaded.  What to do?

    This month I downloaded the newest version of PAGES.  The documents I have typed using this App will now not open and the message says-"You need a newer version of PAGES to open this document.  Could anyone help me with this please.  Thanks.

    You have 2 versions of Pages on your Mac.
    Pages 5.2.2 is in your Applications folder.
    Pages '09/'08 is in your Applications/iWork folder.
    You are alternately opening the wrong versions.
    Pages '09/'08 can not open Pages 5 files and you will get the warning that you need a newer version.
    Pages 5.2 can open Pages '09 files but may damage/alter them. It can not open Pages '08 files at all.
    Older versions of Pages 5 can not open files from later versions of Pages 5.
    Once opened and saved in Pages 5 the Pages '09 files can not be opened in Pages '09.
    Anything that is saved to iCloud and opened in a newer version of Pages is also converted to Pages 5 files.
    All Pages files no matter what version and incompatibility have the same extension .pages.
    Pages 5 files are now only compatible with themselves on a very restricted set of hardware, software and Operating Systems and will not transfer correctly on any other server software than iCloud.
    Apple has removed over 110 features from Pages 5 and added many bugs:
    http://www.freeforum101.com/iworktipsntrick/viewforum.php?f=22&sid=3527487677f0c 6fa05b6297cd00f8eb9&mforum=iworktipsntrick
    You can add the icon of the missing Pages on your Dock or open Pages from the Apple menu > Recent Items list.
    Or you can archive Pages 5 so that it doesn't automatically open.
    If you are unhappy about this review/rate Pages 5 in the App Store.
    Peter

  • Recently I updated to Maverick -- I also updated Numbers, Pages and Keynote.  NOW, I cannot open my pages documents.  I get a message that I need a newer version of Pages.  I have the newest version (5.2).  How do I get around this to view my documents?

    Recently I updated to Maverick -- I also updated Numbers, Pages and Keynote.  NOW, I cannot open my pages documents.  I get a message that I need a newer version of Pages.  I have the newest version (5.2).  How do I get around this to view my documents?

    You have 2 versions of Pages on your Mac.
    Pages 5.2 is in your Applications folder.
    Pages '09/'08 is in your Applications/iWork folder.
    You are alternately opening the wrong versions.
    Pages '09/'08 can not open Pages 5 files and you will get the warning that you need a newer version.
    Pages 5.2 can open Pages '09 files but may damage/alter them. It can not open Pages '08 files at all.
    Older versions of Pages 5 can not open files from later versions of Pages 5.
    Once opened and saved in Pages 5 the Pages '09 files can not be opened in Pages '09.
    Anything that is saved to iCloud and opened in a newer version of Pages is also converted to Pages 5 files.
    All Pages files no matter what version and incompatibility have the same extension .pages.
    Pages 5 files are now only compatible with themselves on a very restricted set of hardware, software and Operating Systems and will not transfer correctly on any other server software than iCloud.
    Apple has removed almost 100 features from Pages 5 and added many bugs:
    http://www.freeforum101.com/iworktipsntrick/viewforum.php?f=22&sid=3527487677f0c 6fa05b6297cd00f8eb9&mforum=iworktipsntrick
    Peter

  • When i open itunes the warning itunes Library.itl appears with the following message. ..."it cannot be read because it was created by a newer version of itunes. after checking software updates we have the lastest version.  What to do?

    when i open itunes the warning itunes Library.itl appears with the following message. ..."it cannot be read because it was created by a newer version of itunes. after checking software updates we have the lastest version.  What to do?

    Perhaps check to see if you're accidentally running two different versions of iTunes. There's some information on troubleshooting that in the Opening iTunes section of the following document:
    Troubleshooting iTunes installation on Mac OS X

  • When I try to open a spreadsheet on my Mac that I worked on with my iPhone, I get "You need a newer version of Numbers to open this spreadsheet." When I go to the App store, it says I already have it. I have v. 2.3 and can't seem to download newer version

    When I try to open a spreadsheet on my Mac that I worked on with my iPhone, I get "You need a newer version of Numbers to open this spreadsheet." When I go to the App store, it says I already have it. I have v. 2.3 and can't seem to download newer version.

    If you are running Mavericks, and the Mac App store says you are up to date, then you have Numbers 3.2 as well as Numbers 2.3. You are getting the "Need a newer version message because your Mac is trying to open the document using Numbers 2.3.
    Launch Numbers 3, then open the document from within that app, or right click/control-click the document and choose Open with Numbers 3.x.
    Regards,
    Barry

  • I have the newest version of the mac book pro and i recently bought iLife 11 because i needed idvd but when i installed iLife my iphoto no longer works and will not let me open. How do i fix this

    I have the newest version of the mac book pro and i recently bought iLife 11 because i needed idvd but when i installed iLife my iphoto no longer works and will not let me open. How do i fix this

    Welcome to Apple Support Communities
    iTunes in Mac OS X Tiger is outdated. Open  > Software Update to install the latest iTunes version for Tiger.
    If you need iTunes 10.7 or a newer version, you have to upgrade to Mac OS X Snow Leopard. First, check that your Mac is supported > http://support.apple.com/kb/sp575 If it is, buy Snow Leopard > http://store.apple.com/us/product/MC573Z/A/mac-os-x-106-snow-leopard
    After buying Snow Leopard, make a backup of your data, insert the DVD and upgrade to Snow Leopard. After upgrading, open  > Software Update, and install the latest Snow Leopard version. Finally, run Software Update again to install iTunes 11.0.4. If you want to install iTunes 10.7 instead, download it from the Apple website > http://support.apple.com/kb/dl1576

  • What is a video card? And what requirements do you need to have the newest version of iMovie?

    What is a video card? And what requirements do you need to have the newest version of iMovie?

    http://en.wikipedia.org/wiki/Video_card
    http://support.apple.com/kb/ht5842 Maverick requirements.

  • I put some money in my account and when I tried to buy a new APll they asked me for a security Q ,but the problem I don't remember my answers .What should I do ?

    I put some money in my account and when I tried to buy a new APll they asked me for a security Q ,but the problem I don't remember my answers .What should I do ? 

    You need to ask Apple to reset your security questions; this can be done by phoning AppleCare and asking for the Account Security team, or clicking here and picking a method, or if your country isn't listed in either article, filling out and submitting this form.
    They wouldn't be security questions if they could be bypassed without Apple verifying your identity.
    (107524)

  • My computer won't play videos from site like the Daily Show and the CW, but they stopped working last week. I have the newest version of Adobe player. Anyone know why the full videos will not play?

    My computer won't play videos from site like the Daily Show and the CW, but they stopped working last week. I have the newest version of Adobe player. Anyone know why the full videos will not play?

    I failed to mention that the sound does play on the videos that are not playing.

  • When I installed the newest update it said some of the features were incompatible with this version of Firfox yet when Firfox starts it says I have the newest version.

    I got a new update. I installed it and it said that some of the features were not installed because they incompatible with this version of Fire. I figured "Okay" and continued. When Firefox opened it said I have the "Newest" version. Great, then how come some of the features are not compatible with the "Newest" version. That makes no sense!

    It is possible that because of changes made to firefox, some other software used with Firefox may no longer be compatibile (for example some toolbars) or it is possible the software may work with Firefox, but the software does not recognise the version of Firefox.
    First of all check the add-ons are up-to-date. Downloading, installing and using the [https://addons.mozilla.org/en-US/firefox/addon/add-on-compatibility-reporter/ Compatibility Add-on] may help to allow such Add-ons to be run for testing, and hopefully some may actually work.
    * see [[common questions after after updating firefox]]
    If you are having problems, please state the full name and the version number of any add-on or plugin software that is causing a problem.

  • When I visit FAFSA.gov im told browser is incompatible.I have the newest version and windows 7.Why do sites say browser is incompatible?

    That pretty well sums it. I am trying to fill out info for gov. aid and can not because the site does not seem to recognize that I have the newest version for windows 7 already.I also get this message on sites like yahoo.games. The site wont let me play some games due to the same.

    The FAFSA site doesn't work with Firefox 4+ versions.
    You can install the portable Firefox 3.6.x version to access websites that do not work with Firefox 5+.
    *http://portableapps.com/apps/internet/firefox_portable#legacy
    *http://portableapps.com/apps/internet/firefox_portable/localization#legacy36

  • Since I have the newest version of itunes, I can't back up like normally. The only way is to considilate files and then put them on an external drive which I don't have. Are there any other options? If I can't back up to a disc like I used to, can I inste

    Since I have the newest version of itunes, I can't back up like normally. The only way is to considilate files and then put them on an external drive which I don't have. Are there any other options? If I can't back up to a disc like I used to, can I instead just keep everything on my ipod and then if I have to get a new computer or something just download all my songs from the ipod to my new computer's itunes? Will that work? Will I still be able to keep all my songs that way?

    I'm going to assume the consolidating files does not work due to hard drive space limitations.
    Since you're moving to Windows 7, have you tried using the Windows files and settings transfer utility?  That will move everything for you to the same location on the new computer, it also allows some control over what actually gets moved.
    Alternatively, if you know the location of all of the media, it can be manually moved by copying it from the old computer to the new computer in the same location.
    Also, using the Apple article on moving the library, take a slight twist on what it says.  Move the iTunes library to the external drive, update the settings in iTunes to reflect the library being on the external drive, then consolodate it.
    The options are endless for moving the library... it simply takes a little effort to make it happen and possibly a twist on existing "standard" methods depending on your unique situation.

  • I have the newest version of itunes 11.1.3.8. I have one song that i want moved from itunes to my iphone WITHOUT erasing my iphone playlists which happens each time i sync. please help

    I have the newest version of itunes 11.1.3.8.  I have uploaded a CD into my itunes library. I would like to add one song only to my iphone. I have created playlists on my iphone and each time I sync all of my iphone playlists get erased and I have to recreated them. after the sixth time, I am very hesitant to do any kind of syncing. Is there a way to just move one song without syncing? I have read some posts that talk about this but have not been able to do it. For example, the "summary tab" does not exist on my version of itunes. I tried drag and drop on itunes as explained in their help section but that did not move the song to my iphone. Please help

    You are probably running OS 10.4 or 10.5 on a PPC Mac.  No version of  iTunes higher than 10.6.3 is available for these older Macs.  I have the same problem, and while I can still use the PPC to sync my iPod, it can't be used to sync an iPhone 4 or higher.  The only solution, as I discovered after upgrading to the iPhone 4, is to buy a newer Mac.  I was able to get a 2006 MacBook running Lion for under $300, and that has been a lifesaver.

  • My Airport wireless is working for my two MacBook Pros and my daughter's iPod, but our iPad, Iphone and other iPod all say they need to set up an Airport Base Station but do not have the proper software.  I'm not sure what to do to remedy this situation.

    My Airport wireless is working for my two MacBook Pros and my daughter's iPod, but our iPad, Iphone and other iPod all say they need to set up an Airport Base Station but do not have the proper software.  I'm not sure what to do to remedy this situation.

    This might sound like a silly question, but are you sure the iOS devices (iPhone, iPad, iPod touch etc.) are still trying to connect to the same network from your own Airport router, as the MacBook Pros are? If you tap Settings on them, is the network name next to where it says Wi-Fi, the right one?
    I've got a weird feeling that either in the past couple of days, a neighbour got an Airport device and hasn't set it up yet (causing your iOS devices to try to help), or that perhaps there's an issue with your Airport router and they're noticing it and trying to help out, while for whatever reason, Airport Utility isn't opening itself on the MacBook Pros like it normally should if there's a problem.
    If you open Airport Utility on one of the MacBook Pros, does it report any problems with your Airport device, and can you view/edit the settings on it?

  • I keep getting a message asking me to download the newest version of firefox even though i have the newest version, is there a fix for this?

    When i first start Fire-Fox i keep getting a message telling me i need to upgrade it. Problem is i have the newest version already. I have checked repeatedly and have the newest version on my desktop already.

    You are using Firefox 2.0
    Latest version is Firefox 3.6 (http://www.mozilla.com/en-US/firefox/)

Maybe you are looking for

  • Can I make an iPhoto book that is only 10 pages long?

    I want to make a hardcover iPhoto book, but only have 15 photos to go into the book, so 20 pages is too many pages. Can anyone advise? Does iPhoto let you make a book that is less than 20 pages or do you have to fill that whole 20 pages in order to m

  • Starting over: how do I restart my audio setup from scratch?

    I've had JACK, Pulseaudio and ALSA on my desktop at one point or another and seem to be having real issues as of late (ex: VOIP, bluetooth headset works great for audio out, but mic volume stays maxed out and unusable... built-in audio mic works grea

  • Is it possible bring Bloomberg Data to SAP?

    Hi I'm trying to focus my thesis in use Business Intelligence in the Stock Markets, but there's very little information about this topic. I wanna know if any one have Knowledge about this topic and if you know about any Paper too could be so helpfull

  • Disable Screen Elements & Application toolbar elements!

    Hi All, Just a quick requirement. I'm using 4 buttons on Application tool bar. And 4 buttons on Screen. Once i click on any particular button, it should run few subroutines using Perform based on my requirements and once the processing is completed i

  • Transfering songs from I-Pod Shuffle to my PC I-tunes

    i was wondering if anyone knows how to transfer songs from a ipod shuffle to the i-tune pc list. while reinstalling the software on my computer i lost all my songs on i-tunes and dont have the cds to add them back to i-tunes